<!DOCTYPE html>
<head>
<style>
    div#balloon {
        height: 200px;
        width: 200px;
        background-color: red;
        border-radius: 100px;
    }
</style>
</head>
<body>
<div id="balloon" onmouseout="shrink()" onclick="blow()"></div>
</body>
<script>
    var d = 200;
    var colors = ['red', 'green', 'blue'];
    var colorIndex = 0;
    function blow() {
        if (d > 420)
            d = 200;
        else
            d += 10;
        setSize(d);
        switchColor(1);
    }
    function shrink() {
        if (d > 200) {
            d -= 5;
            setSize(d);
            switchColor(-1);
        }
    }
    function switchColor(direction) {
        colorIndex += direction;
        if (colorIndex > 2)
            colorIndex = 0;
        else if (colorIndex < 0)
            colorIndex = 2;
        document.getElementById('balloon').style.backgroundColor = colors[colorIndex];
    }
    function setSize(d) {
        var b = document.getElementById('balloon');
        b.style.height = d + 'px';
        b.style.width = d + 'px';
        b.style.borderRadius = d / 2 + 'px';
    }
</script>
</html>